- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl_video_frame_t Struct Reference
[Video frames]

`#include <gavl.h>`

## Data Fields
uint8_t * | planes [GAVL_MAX_PLANES]
int | strides [GAVL_MAX_PLANES]
void * | user_data
int64_t | timestamp
int64_t | duration
gavl_interlace_mode_t | interlace_mode

## Detailed Description

Video frame

## Field Documentation

uint8_t* gavl_video_frame_t::planes[GAVL_MAX_PLANES]

Pointers to the planes

int gavl_video_frame_t::strides[GAVL_MAX_PLANES]

For each plane, this stores the byte offset between the scanlines

void* gavl_video_frame_t::user_data

For storing user data (e.g. the corresponding XImage)

int64_t gavl_video_frame_t::timestamp

Timestamp in stream specific units (see Video format definitions)

int64_t gavl_video_frame_t::duration

Duration in stream specific units (see Video format definitions)

gavl_interlace_mode_t gavl_video_frame_t::interlace_mode

Interlace mode

The documentation for this struct was generated from the following file:

- /sda4/XXX/YYY/F/gavl-1.0.0/include/gavl/gavl.h